Skip to content

IFSC LIST

| View as Markdown

This api is for list all the ifsc code.If the request have valid data we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; sha256(<concate all values+SECRET KEY>); (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeRequiredDescription
ifscTextNoIFSC code (length 4-11)
pagenoTextNoPage number
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/ifscCode' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'ifsc=ABCD' \
--data-urlencode 'pageno=1' \
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “ifsc_codes”: [ “ABCD0065001”, “ABCD0065002”, “ABCD0065003”, “ABCD0065004”, “ABCD0065005”, “ABCD0065006”, “ABCD0065007”, “ABCD0065008”, “ABCD0065009” ], “bank_ifsc_count”: 112, “number_of_page”: 3 }
{
"status": 200,
"message": "success",
"data": {
"ifsc_codes": [
"ABCD0065001",
"ABCD0065002",
"ABCD0065003",
"ABCD0065004",
"ABCD0065005",
"ABCD0065006",
"ABCD0065007",
"ABCD0065008",
"ABCD0065009"
],
"bank_ifsc_count": 112,
"number_of_page": 3
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}